Subject: Re: bug#77476: [PATCH] Rename various hash functions to avoid clashing with GnuTLS.

From: "Greg A. Woods" <[email-masked]>
Date: Sat, 19 Apr 2025 23:30:39 -0700

At Sat, 19 Apr 2025 22:32:44 -0700, Paul Eggert <[email-masked]> wrote:
Subject: Re: bug#77476: [PATCH] Rename various hash functions to avoid clashing with GnuTLS.
> 
>  Hardly anybody links statically;

While this is probably true for Emacs, I find it is still good practice
to test that programs can still static-link.  I also find that my
static-linked emacs will consistently start a good whole two seconds
faster on a much slower older system that the necessarily dynamic-linked
version starts on macOS on one of the newest and fastest of the x86
Mac-Pro systems, all other build options and runtime environment the same.

> Marking the bug as done.

Thanks!  (and thanks also for prompting GnuTLS to fix the root problem)

-- 
					Greg A. Woods <[email-masked]>

Kelowna, BC     +1 250 762-7675           RoboHack <[email-masked]>
Planix, Inc. <[email-masked]>     Avoncote Farms <[email-masked]>